com.salesforce.datacloud.jdbc.interceptor

## Class QueryIdHeaderInterceptor

- java.lang.Object
- - com.salesforce.datacloud.jdbc.interceptor.QueryIdHeaderInterceptor

    public class QueryIdHeaderInterceptor
    extends Object

### Field Summary

Fields
`io.grpc.Metadata.Key<String>` `key`

### Constructor Summary

Constructors
Constructor and Description
`QueryIdHeaderInterceptor(@NonNull String value)`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.Metadata.Key<String>` `getKey()`
`@NonNull String` `getValue()`
`void` `mutate(io.grpc.Metadata headers)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.salesforce.datacloud.jdbc.interceptor.HeaderMutatingClientInterceptor

`interceptCall`

### Field Detail

#### key

    public final io.grpc.Metadata.Key<String> key

### Constructor Detail

#### QueryIdHeaderInterceptor

    public QueryIdHeaderInterceptor(@NonNull
                                    @NonNull String value)

### Method Detail

#### mutate

    public void mutate(io.grpc.Metadata headers)

#### getKey

    public io.grpc.Metadata.Key<String> getKey()

#### getValue

    @NonNull
    public @NonNull String getValue()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`